/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.test.performance.reporting.model;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Locale;

import org.eclipse.birt.test.performance.reporting.xml.XMLReportVisitor;

public class PerformanceReport extends BaseNode
{

	private String generateDateTime = null;
	private List testcases = new ArrayList( );
	private InputNode inputNode = null;

	private final static SimpleDateFormat df = new SimpleDateFormat(
			"yyyy.MM.dd HH:mm:ss" ); //$NON-NLS-1$

	public PerformanceReport( )
	{
	}

	/**
	 * @param args
	 */
	public static void main( String[] args )
	{
		new PerformanceReport( );
	}

	/**
	 * @return Returns the generateDateTime.
	 */
	public String getGenerateDateTime( )
	{
		return df.format( generateDateTime );
	}

	/**
	 * @param generateDateTime
	 *            The generateDateTime to set.
	 */
	public void setGenerateDateTime( String generateDateTime )
	{
		this.generateDateTime = generateDateTime;
	}

	/**
	 * @return Returns the inputNode.
	 */
	public InputNode getInputNode( )
	{
		return inputNode;
	}

	/**
	 * @param inputNode
	 *            The inputNode to set.
	 */
	public void setInputNode( InputNode inputNode )
	{
		this.inputNode = inputNode;
	}

	/**
	 * @return Returns the testcases.
	 */
	public List getTestcases( )
	{
		return testcases;
	}

	/**
	 * @param testcases
	 *            The testcases to set.
	 */
	public void addTestcases( TestCaseNode testcase )
	{
		this.testcases.add( testcase );
	}

	public void accept( XMLReportVisitor visitor )
	{
		visitor.visit( this );		
	}

}
